<mat-card>
  <mat-card-title>{{ location.name }}</mat-card-title>
  <mat-card-content>
    <table>
      <tr>
        <td width="20%">Country: </td>
        <td>{{location.country}}</td>
      </tr>
      <tr>
        <td>City: </td>
        <td>{{location.city}}</td>
      </tr>
      <tr>
        <td>Address: </td>
        <td>{{location.address}}</td>
      </tr>
    </table>
    <mat-card-actions>
      <button mat-button [routerLink]="['/location/', location.id]" class="detailsButton">Details</button>
      <button mat-button class="rightAlignedButton deleteButton" (click)="deleteLocation(location.id)">Delete</button>
      <button mat-button class="rightAlignedButton editButton" [routerLink]="['/updateLocation/', location.id]">Edit</button>
      <button mat-button class="rightAlignedButton reportButton" (click)="reportLocation()">Report</button>
    </mat-card-actions>
  </mat-card-content>
</mat-card>
